## audacious 3.7.2

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#
LOCALES = ast.po \
	  be.po \
	  bg.po \
	  ca.po \
	  cmn.po \
	  cs.po \
	  da.po \
	  de.po \
	  el.po \
	  en_GB.po \
	  eo.po \
	  es_AR.po \
	  es_MX.po \
	  es.po \
	  et.po \
	  eu.po \
	  fa_IR.po \
	  fi.po \
	  fr.po \
	  gl.po \
	  he.po \
	  hu.po \
	  id_ID.po \
	  it.po \
	  ja.po \
	  ko.po \
	  ky.po \
	  lt.po \
	  lv.po \
	  ml_IN.po \
	  ms.po \
	  nl.po \
	  pl.po \
	  pt_BR.po \
	  pt_PT.po \
	  ro.po \
	  ru.po \
	  si.po \
	  sk.po \
	  sq.po \
	  sr@latin.po \
	  sr.po \
	  sr_RS.po \
	  sv.po \
	  ta.po \
	  tr.po \
	  uk.po \
	  vi.po \
	  zh_CN.po \
	  zh_TW.po

include ../extra.mk
include ../buildsys.mk

POTTEMPLATE=$(PACKAGE_NAME).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE_NAME) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--msgid-bugs-address="http://redmine.audacious-media-player.org/" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --update "$$lang" $(POTTEMPLATE); done

=== src/libaudcore/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
LIB_MAJOR = 3
LIB_MINOR = 1

SRCS = adder.cc \
       art.cc \
       art-search.cc \
       audio.cc \
       audstrings.cc \
       charset.cc \
       config.cc \
       drct.cc \
       effect.cc \
       equalizer.cc \
       equalizer-preset.cc \
       eventqueue.cc \
       fft.cc \
       history.cc \
       hook.cc \
       index.cc \
       inifile.cc \
       interface.cc \
       list.cc \
       logger.cc \
       mainloop.cc \
       multihash.cc \
       output.cc \
       playback.cc \
       playlist.cc \
       playlist-files.cc \
       playlist-utils.cc \
       plugin-init.cc \
       plugin-load.cc \
       plugin-registry.cc \
       preferences.cc \
       probe.cc \
       probe-buffer.cc \
       ringbuf.cc \
       runtime.cc \
       scanner.cc \
       stringbuf.cc \
       strpool.cc \
       tinylock.cc \
       timer.cc \
       tuple.cc \
       tuple-compiler.cc \
       util.cc \
       vfs.cc \
       vfs_async.cc \
       vfs_local.cc \
       vis-runner.cc \
       visualization.cc

INCLUDES = audio.h \
           audstrings.h \
           drct.h \
           equalizer.h \
           hook.h \
           i18n.h \
           index.h \
           inifile.h \
           interface.h \
           list.h \
           mainloop.h \
           multihash.h \
           objects.h \
           playlist.h \
           plugin.h \
           plugins.h \
           preferences.h \
           probe.h \
           ringbuf.h \
           runtime.h \
           templates.h \
           tinylock.h \
           tuple.h \
           visualizer.h \
           vfs.h \
           vfs_async.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudcore

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${GMODULE_CFLAGS} \
            ${QTCORE_CFLAGS} \
            -DHARDCODE_BINDIR=\"${bindir}\" \
            -DHARDCODE_DATADIR=\"${datadir}/audacious\" \
            -DHARDCODE_PLUGINDIR=\"${plugindir}\" \
            -DHARDCODE_LOCALEDIR=\"${localedir}\" \
            -DHARDCODE_DESKTOPFILE=\"${datarootdir}/applications/audacious.desktop\" \
            -DHARDCODE_ICONFILE=\"${datarootdir}/icons/hicolor/48x48/apps/audacious.png\"

CFLAGS += ${LIB_CFLAGS}

LIBS := ../libguess/libguess.a \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GMODULE_LIBS} \
        ${QTCORE_LIBS}

=== src/libaudqt/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audqt${LIB_SUFFIX}
LIB_MAJOR = 0
LIB_MINOR = 1

SRCS = about.cc			\
       art.cc                   \
       equalizer.cc		\
       fileopener.cc		\
       infowin.cc		\
       info-widget.cc		\
       log-inspector.cc         \
       menu.cc			\
       playlist-management.cc	\
       plugin-menu.cc		\
       prefs-builder.cc		\
       prefs-plugin.cc          \
       prefs-widget.cc		\
       prefs-window.cc		\
       prefs-pluginlist-model.cc  \
       queue-manager.cc		\
       url-opener.cc		\
       util.cc			\
       volumebutton.cc

INCLUDES = libaudqt.h iface.h volumebutton.h info-widget.h menu.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudqt

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${QT_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${QT_LIBS}

%.moc: %.h
	moc $< -o $@

=== src/libaudtag/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audtag${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 1

SRCS = audtag.cc		\
       util.cc		\
       tag_module.cc	\
       id3/id3-common.cc \
       id3/id3v1.cc	\
       id3/id3v22.cc	\
       id3/id3v24.cc	\
       ape/ape.cc

INCLUDES = audtag.h

include ../../buildsys.mk
include ../../extra.mk

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} \
        ${GLIB_LIBS}

=== debian/changelog ===
audacious (3.7.2-1ubuntu1) yakkety; urgency=medium

  * Disable building Qt interface, to not ship both GTK and Qt interfaces. 
    It's a workaround until Debian build the 2 interfaces in 2 separates
    binaries. (see LP: #1600318)
   - debian/rules: remove --enable-qt
   - debian/libaudqt0.install: comment, since it's not build now.
   - debian/libaudqt0.symbols: comment symbols.

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 16 Aug 2016 07:32:04 +0200

audacious (3.7.2-1) unstable; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]
  * debian/control: Move library packages to Section libs. (Closes: #809268,
    #809269, #809270)

  [ Alin Andrei ]
  * Install .desktop file for Qt GUI.

  [ Andrew Shadura ]
  * Build Qt5 GUI:
    - Build-depend on qtbase5-dev
    - Install libaudqt into a separate binary package.

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #798501)
  * Update symbols files for new version.
  * Work around libaudqt package:
    - Add install and symbols files.
  * debian/patches:
    - Add add-keywords.patch to provides keywords in desktop file.
    - Add use-system-licenses.patch to use system licenses path.
    - Add use-system-libguess.patch to use system libguess libraries.
  * debian/rules:
    - Use bindnow flag.
  * debian/control:
    - Bump standards version to 3.9.7. (no changes needed)
    - Drop audacious-dbg package.
  * Replace autotools-dev by dh-autoreconf.
  * debian/watch:
    - Bump to version 4.

  [ Nicholas D Steeves ]
  * debian/libaudqt0.symbols: use c++ symbol pattern instead of arch-bits

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 07 Apr 2016 22:29:52 +0200

=== debian/control ===
Source: audacious
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Chris Taylor <ctaylor@debian.org>,
 Bilal Akhtar <bilalakhtar@ubuntu.com>,
 Cyril Lavier <cyril.lavier@davromaniak.eu>
Homepage: http://www.audacious-media-player.org/
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 imagemagick,
 libdbus-1-dev (>= 0.60),
 libdbus-glib-1-dev (>= 0.60),
 libgtk2.0-dev,
 libguess-dev (>= 1.2~),
 librsvg2-bin,
 qtbase5-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/audacious.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/audacious.git

Package: audacious
Architecture: any
Depends:
 audacious-plugins (>= ${source:Upstream-Version}),
 dbus,
 dbus-x11,
 gtk2-engines-pixbuf,
 libaudcore3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 unzip
Description: small and fast audio player which supports lots of formats
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the core player and its localization.

Package: audacious-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libaudcore3 (= ${binary:Version}),
 libaudgui3 (= ${binary:Version}),
 libaudtag2 (= ${binary:Version}),
 libaudqt0 (= ${binary:Version}),
 libdbus-1-dev (>= 0.60),
 libdbus-glib-1-dev (>= 0.60),
 libgtk2.0-dev,
 qtbase5-dev,
 ${misc:Depends}
Description: audacious development files
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the development libraries and header files
 required for developing components for audacious.
 .
 Please note that this package no longer contains libaudacious, as
 libaudacious was dropped in Audacious 1.4.

Package: libaudcore3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious core engine library
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a library which provides core functionality
 of Audacious.

Package: libaudgui3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious media player (libaudgui shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudgui shared library.

Package: libaudtag2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious media player (libaudtag shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudtag shared library.

Package: libaudqt0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious media player (libaudqt shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudqt shared library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

# Do not link against unused libraries (make dpkg-shlibdeps happy).
LDFLAGS += -Wl,-z,defs -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \
		--with-buildstamp="$(shell dpkg-vendor --query vendor) package" 

override_dh_auto_install:
	dh_auto_install
	# Move the arch-specific headers into the multiarch domain
	cd debian/tmp/usr/include && \
	mkdir -p $(DEB_HOST_MULTIARCH)/libaudcore && \
	mv libaudcore/audio.h $(DEB_HOST_MULTIARCH)/libaudcore/

override_dh_installdirs:
	dh_installdirs
	mkdir -p debian/tmp/usr/share/pixmaps
	convert images/audacious.png -resize 16x16 debian/tmp/usr/share/pixmaps/audacious-16.xpm
	convert images/audacious.png -resize 32x32 debian/tmp/usr/share/pixmaps/audacious-32.xpm

override_dh_auto_clean:
	dh_auto_clean || true
	rm -f src/libaudcore/audio.h

## audacious 3.9

=== Makefile ===
SUBDIRS = src man images po

DISTCLEAN = audacious.pc buildsys.mk config.h config.log config.status extra.mk

DATA = AUTHORS \
       COPYING \
       images/about-logo.png \
       images/about-logo.svg \
       images/album.png \
       images/appearance.png \
       images/audio.png \
       images/connectivity.png \
       images/info.png \
       images/playlist.png \
       images/plugins.png

include buildsys.mk

install-extra:
	for i in audacious.pc; do \
	        ${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${pkgconfigdir} && ${INSTALL} -m 644 $$i ${DESTDIR}${pkgconfigdir}/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi; \
	done
	for i in audacious.desktop; do \
		${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${datarootdir}/applications && ${INSTALL} -m 644 $$i ${DESTDIR}${datarootdir}/applications/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi \
	done
	if [ -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png ]; then \
		rm -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png; \
	fi

uninstall-extra:
	for i in audacious.pc; do \
		if [ -f ${DESTDIR}${pkgconfigdir}/$$i ]; then \
			if rm -f ${DESTDIR}${pkgconfigdir}/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi; \
	done
	for i in audacious.desktop; do \
		if test -f ${DESTDIR}${datarootdir}/applications/$$i; then \
			if rm -f ${DESTDIR}${datarootdir}/applications/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi \
	done

=== man/Makefile ===
MAN = audacious.1 audtool.1

DISTCLEAN = audacious.1 audtool.1

include ../buildsys.mk

=== po/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 #   have been introduced, and then continue with 'make update-po' or
 #   'make update-pot' respectively.
 #
-LOCALES = ast.po \
+LOCALES = ar.po \
+	  ast.po \
 	  be.po \
 	  bg.po \
 	  ca.po \

=== src/audacious/Makefile ===
include ../../extra.mk

PROG = audacious${PROG_SUFFIX}

SRCS = main.cc \
       signals.cc \
       util.cc

ifeq ($(HAVE_MSWINDOWS),yes)
SRCS += audacious.rc
endif

ifeq ($(USE_DBUS),yes)
SRCS += dbus-server.cc
EXT_DEPS += ../dbus/aud-dbus.a
endif

include ../../buildsys.mk

ifeq ($(USE_DBUS),yes)
CPPFLAGS := -I../dbus ${CPPFLAGS} ${GIO_CFLAGS}
LIBS := ../dbus/aud-dbus.a ${LIBS} ${GIO_LIBS}
endif

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${LIBINTL} \
        ${GLIB_LIBS}

ifeq ($(HAVE_MSWINDOWS),yes)
LDFLAGS := ${LDFLAGS} -Wl,-subsystem,windows
endif

=== src/libaudqt/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 SHARED_LIB = ${LIB_PREFIX}audqt${LIB_SUFFIX}
-LIB_MAJOR = 0
-LIB_MINOR = 1
+LIB_MAJOR = 2
+LIB_MINOR = 0
 
 SRCS = about.cc			\
        art.cc                   \
@@ -22,7 +22,11 @@
        util.cc			\
        volumebutton.cc
 
-INCLUDES = libaudqt.h iface.h volumebutton.h info-widget.h menu.h
+INCLUDES = export.h \
+           iface.h \
+           info-widget.h \
+           libaudqt.h \
+           menu.h
 
 include ../../buildsys.mk
 include ../../extra.mk
@@ -33,7 +37,8 @@
 
 CPPFLAGS := -I.. -I../.. \
             ${CPPFLAGS} \
-            ${QT_CFLAGS}
+            ${QT_CFLAGS} \
+            -DLIBAUDQT_BUILD
 
 CFLAGS += ${LIB_CFLAGS}

=== debian/changelog ===
audacious (3.9-2) unstable; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * Update symbols from build logs.

  [ Mattia Rizzolo ]
  * Update symbol files to use c++|regex instead of hardcoding architecture
    lists or using pkgkde-symbolshelper's subst.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 25 Aug 2017 15:16:26 +0200

audacious (3.9-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Team upload.
  * New upstream release. (Closes: #864628, LP: #1670350)
  * debian/patches:
    - Drop use-system-libguess.patch
  * debian/control:
    - Switch from dbus-x11 to default-dbus-session-bus | dbus-session-bus
      (Closes: #836078)
    - Bump standards version to 3.9.8. (no changes needed)
  * Drop qt5 interface: (Closes: #820472, LP: #1600318)
   - debian/rules: Remove --enable-qt.
   - Drop debian/libaudqt0.install.
   - Drop debian/libaudqt0.symbols.
  * Bump libralies sonames.
  * Bump debhelper version to 10.
  * debian/*.symbols - Update symbols to new version.

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.1.0, no changes needed.
  * debian/libaudcore4.install: drop old file.
  * debian/*.symbols: update symbols files after SONAME bumps.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 24 Aug 2017 15:10:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,22 @@
 Source: audacious
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
  Cyril Lavier <cyril.lavier@davromaniak.eu>
-Homepage: http://www.audacious-media-player.org/
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  imagemagick,
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
  libgtk2.0-dev,
  libguess-dev (>= 1.2~),
- librsvg2-bin,
- qtbase5-dev
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/audacious.git
+ librsvg2-bin
+Standards-Version: 4.1.0
+Homepage: http://www.audacious-media-player.org/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/audacious.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/audacious.git
 
 Package: audacious
@@ -27,9 +24,9 @@
 Depends:
  audacious-plugins (>= ${source:Upstream-Version}),
  dbus,
- dbus-x11,
+ default-dbus-session-bus | dbus-session-bus | dbus-x11,
  gtk2-engines-pixbuf,
- libaudcore3 (= ${binary:Version}),
+ libaudcore5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
@@ -59,14 +56,12 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libaudcore3 (= ${binary:Version}),
- libaudgui3 (= ${binary:Version}),
- libaudtag2 (= ${binary:Version}),
- libaudqt0 (= ${binary:Version}),
+ libaudcore5 (= ${binary:Version}),
+ libaudgui5 (= ${binary:Version}),
+ libaudtag3 (= ${binary:Version}),
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
  libgtk2.0-dev,
- qtbase5-dev,
  ${misc:Depends}
 Description: audacious development files
  Audacious is a fork of beep-media-player which supports Winamp skins
@@ -92,7 +87,7 @@
  Please note that this package no longer contains libaudacious, as
  libaudacious was dropped in Audacious 1.4.
 
-Package: libaudcore3
+Package: libaudcore5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -120,7 +115,7 @@
  This package contains a library which provides core functionality
  of Audacious.
 
-Package: libaudgui3
+Package: libaudgui5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -147,7 +142,7 @@
  .
  This package provides the libaudgui shared library.
 
-Package: libaudtag2
+Package: libaudtag3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -174,29 +169,3 @@
  .
  This package provides the libaudtag shared library.
 
-Package: libaudqt0
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
-Description: audacious media player (libaudqt shared library)
- Audacious is a fork of beep-media-player which supports Winamp skins
- and many codecs.
- .
- In the default install, the following codecs are supported:
- .
-  * MP3
-  * Ogg Vorbis / Theora
-  * AAC and AAC+
-  * FLAC
-  * ALAC
-  * Windows Media (WMA)
-  * WAVE
- .
- Additionally, Audacious is extendable through plugins, and contains
- other useful features like LIRC support. Support for many more codecs
- can also be added through plugins.
- .
- This package provides the libaudqt shared library.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \

=== debian/watch ===
version=4
http://distfiles.audacious-media-player.org/audacious-([^-]*)\.tar\.bz2

## audacious 3.10

=== debian/changelog ===
audacious (3.10-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Refresh add-keywords.patch and use-system-licenses.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Aug 2018 08:26:29 -0700

audacious (3.9-2mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Oct 2017 14:57:22 -0700

audacious (3.9-2mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Revert to debhelper 9 to make pdebuilder builds easy.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Oct 2017 14:22:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: audacious
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
  Cyril Lavier <cyril.lavier@davromaniak.eu>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 9),
  imagemagick,
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),

## audacious 3.10.1

=== po/Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 #   'make update-pot' respectively.
 #
 LOCALES = ar.po \
-	  ast.po \
 	  be.po \
 	  bg.po \
 	  ca.po \
@@ -18,7 +17,6 @@
 	  de.po \
 	  el.po \
 	  en_GB.po \
-	  eo.po \
 	  es_AR.po \
 	  es_MX.po \
 	  es.po \
@@ -28,7 +26,6 @@
 	  fi.po \
 	  fr.po \
 	  gl.po \
-	  he.po \
 	  hu.po \
 	  id_ID.po \
 	  it.po \
@@ -47,15 +44,12 @@
 	  ru.po \
 	  si.po \
 	  sk.po \
-	  sq.po \
-	  sr@latin.po \
 	  sr.po \
 	  sr_RS.po \
 	  sv.po \
 	  ta.po \
 	  tr.po \
 	  uk.po \
-	  vi.po \
 	  zh_CN.po \
 	  zh_TW.po
 
@@ -68,7 +62,7 @@
 	@echo Updating $(POTTEMPLATE) ...
 	xgettext --default-domain=$(PACKAGE_NAME) --language=C \
 	--keyword=_ --keyword=N_ --from-code="utf-8" \
-	--msgid-bugs-address="http://redmine.audacious-media-player.org/" \
+	--msgid-bugs-address="https://redmine.audacious-media-player.org/" \
 	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)
 
 update-po: update-pot

=== src/libaudcore/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
-LIB_MAJOR = 3
+LIB_MAJOR = 5
 LIB_MINOR = 1
 
 SRCS = adder.cc \
@@ -9,6 +9,7 @@
        audstrings.cc \
        charset.cc \
        config.cc \
+       cue-cache.cc \
        drct.cc \
        effect.cc \
        equalizer.cc \
@@ -25,8 +26,11 @@
        mainloop.cc \
        multihash.cc \
        output.cc \
+       parse.cc \
        playback.cc \
        playlist.cc \
+       playlist-cache.cc \
+       playlist-data.cc \
        playlist-files.cc \
        playlist-utils.cc \
        plugin-init.cc \
@@ -55,6 +59,7 @@
            audstrings.h \
            drct.h \
            equalizer.h \
+           export.h \
            hook.h \
            i18n.h \
            index.h \
@@ -90,12 +95,13 @@
             ${GLIB_CFLAGS} \
             ${GMODULE_CFLAGS} \
             ${QTCORE_CFLAGS} \
-            -DHARDCODE_BINDIR=\"${bindir}\" \
-            -DHARDCODE_DATADIR=\"${datadir}/audacious\" \
-            -DHARDCODE_PLUGINDIR=\"${plugindir}\" \
-            -DHARDCODE_LOCALEDIR=\"${localedir}\" \
-            -DHARDCODE_DESKTOPFILE=\"${datarootdir}/applications/audacious.desktop\" \
-            -DHARDCODE_ICONFILE=\"${datarootdir}/icons/hicolor/48x48/apps/audacious.png\"
+            -DINSTALL_BINDIR=\"${bindir}\" \
+            -DINSTALL_DATADIR=\"${datadir}/audacious\" \
+            -DINSTALL_PLUGINDIR=\"${plugindir}\" \
+            -DINSTALL_LOCALEDIR=\"${localedir}\" \
+            -DINSTALL_DESKTOPFILE=\"${datarootdir}/applications/audacious.desktop\" \
+            -DINSTALL_ICONFILE=\"${datarootdir}/icons/hicolor/48x48/apps/audacious.png\" \
+            -DLIBAUDCORE_BUILD
 
 CFLAGS += ${LIB_CFLAGS}

=== src/libaudgui/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audgui${LIB_SUFFIX}
LIB_MAJOR = 5
LIB_MINOR = 0

SRCS = about.cc \
       confirm.cc \
       eq-preset.cc \
       equalizer.cc \
       file-opener.cc \
       images.c \
       infopopup.cc \
       infowin.cc \
       init.cc \
       jump-to-time.cc \
       jump-to-track.cc \
       jump-to-track-cache.cc \
       list.cc \
       menu.cc \
       pixbufs.cc \
       playlists.cc \
       plugin-menu.cc \
       plugin-prefs.cc \
       plugin-view.cc \
       prefs-widget.cc \
       prefs-window.cc \
       preset-browser.cc \
       queue-manager.cc \
       scaled-image.cc \
       status.cc \
       urilist.cc \
       url-opener.cc \
       util.cc

INCLUDES = libaudgui.h \
           libaudgui-gtk.h \
           list.h \
           menu.h

CLEAN = images.c images.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudgui

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${GTK_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GTK_LIBS}

pre-depend: images.c images.h

images.h: images.gresource.xml
	glib-compile-resources --sourcedir=../../images --generate-header --target=images.h images.gresource.xml
images.c: images.gresource.xml
	glib-compile-resources --sourcedir=../../images --generate-source --target=images.c images.gresource.xml

=== src/libaudqt/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audqt${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 1

SRCS = about-qt.cc \
       art-qt.cc \
       audqt.cc \
       equalizer-qt.cc \
       fileopener.cc \
       images.cc \
       infopopup-qt.cc \
       infowin-qt.cc \
       info-widget.cc \
       log-inspector.cc \
       menu-qt.cc \
       playlist-management.cc \
       plugin-menu-qt.cc \
       prefs-builder.cc \
       prefs-plugin.cc \
       prefs-widget-qt.cc \
       prefs-window-qt.cc \
       prefs-pluginlist-model.cc \
       queue-manager-qt.cc \
       url-opener-qt.cc \
       util-qt.cc \
       volumebutton.cc

INCLUDES = export.h \
           iface.h \
           info-widget.h \
           libaudqt.h \
           menu.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudqt

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${QT_CFLAGS} \
            -DLIBAUDQT_BUILD

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${QT_LIBS}

images.cc: images.qrc
	${QT_BINPATH}/rcc images.qrc -o images.cc

=== debian/changelog ===
audacious (3.10.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Aug 2019 15:26:56 -0700

audacious (3.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Feb 2019 19:39:48 +0100

audacious (3.10-1) unstable; urgency=medium

  * License review (Closes: #883731).
    - Drop use-system-licenses.patch.
    - Update debian/copyright.
    - Ship packaging under the same license as the upstream code.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 28 Oct 2018 15:39:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
  Cyril Lavier <cyril.lavier@davromaniak.eu>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  imagemagick,
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
@@ -18,8 +17,8 @@
  librsvg2-bin
 Standards-Version: 4.1.0
 Homepage: http://www.audacious-media-player.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/audacious.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/audacious.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
+Vcs-Git: https://salsa.debian.org/multimedia-team/audacious.git
 
 Package: audacious
 Architecture: any

## audacious 4.0

=== debian/changelog ===
audacious (4.0-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make unzip a dependency instead of recommended.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Mar 2020 06:06:03 -0700

audacious (4.0-2) unstable; urgency=medium

  * Fix libaudcore5 symbols across architectures with regexes.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Mar 2020 23:49:12 +0100

audacious (4.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Update the copyrights as per upstream commit fb0495c
  * Refresh the uploaders list.
  * Use debhelper compat 12.
  * Update copyrights.
  * Update and demangle symbols files.
  * Build with GTK+ without Qt.
  * Stop removing tinylock.h.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Mar 2020 22:19:48 +0100

## audacious 4.0.2

=== debian/changelog ===
audacious (4.0.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Apr 2020 15:50:20 -0700

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Chris Taylor <ctaylor@debian.org>,
- Bilal Akhtar <bilalakhtar@ubuntu.com>,
- Cyril Lavier <cyril.lavier@davromaniak.eu>
+ Andrej Shadura <andrewsh@debian.org>,
+ Mateusz Łukasik <mati75@linuxmint.pl>,
+ Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  imagemagick,
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
@@ -29,8 +29,8 @@
  gtk2-engines-pixbuf,
  libaudcore5 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
+ ${shlibs:Depends},
+# Recommends:
  unzip
 Description: small and fast audio player which supports lots of formats
  Audacious is a fork of beep-media-player which supports Winamp skins

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \
-		--with-buildstamp="$(shell dpkg-vendor --query vendor) package" 
+		--with-buildstamp="$(shell dpkg-vendor --query vendor) package" --enable-gtk --disable-qt
 
 override_dh_auto_install:
 	dh_auto_install
@@ -34,3 +34,6 @@
 override_dh_auto_clean:
 	dh_auto_clean || true
 	rm -f src/libaudcore/audio.h
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## audacious 4.0.4

=== debian/changelog ===
audacious (4.0.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make unzip a dependency instead of just recommend it.
  * Revert to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Jun 2020 13:53:09 -0700

audacious (4.0.4-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh patches.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 03 Jun 2020 15:53:26 +0200

audacious (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop dependencies on libdbus-1-dev and libdbus-glib-1-dev
    (Closes: #955874); depend on libglib2.0-dev explicitly instead.
  * Drop explicit dependency on dbus.
  * Bump Standards-Version to 4.5.0.
  * Drop build dependency on libguess-dev.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 Apr 2020 12:03:44 +0200

audacious (4.0-5) unstable; urgency=medium

  * Default to GTK interface.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 18 Apr 2020 12:52:42 +0200

audacious (4.0-4) experimental; urgency=medium

  * Reintroduce the Qt 5 build:
    - Build-depend on qtbase5-dev.
    - Build libaudqt2 package.
    - Refresh symbols.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 13:32:16 +0100

audacious (4.0-3) unstable; urgency=medium

  * Add lintian overrides.
  * Update debian/copyright:
    - Mention contrib/audacious.appdata.xml.
    - Mention the license for buildsys.
  * Install AppData and the Thunar sendto metadata.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 13:26:49 +0100

## audacious 4.0.5

=== meson_options.txt ===
option('dbus', type: 'boolean', value: true,
       description: 'Whether DBus support is enabled')
option('qt', type: 'boolean', value: true,
       description: 'Whether Qt support is enabled')

=== po/Makefile ===
--- 
+++ 
@@ -21,8 +21,6 @@
 	  es_MX.po \
 	  es.po \
 	  et.po \
-	  eu.po \
-	  fa_IR.po \
 	  fi.po \
 	  fr.po \
 	  gl.po \
@@ -31,7 +29,6 @@
 	  it.po \
 	  ja.po \
 	  ko.po \
-	  ky.po \
 	  lt.po \
 	  lv.po \
 	  ml_IN.po \
@@ -40,7 +37,6 @@
 	  pl.po \
 	  pt_BR.po \
 	  pt_PT.po \
-	  ro.po \
 	  ru.po \
 	  si.po \
 	  sk.po \

=== src/libaudcore/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
 LIB_MAJOR = 5
-LIB_MINOR = 1
+LIB_MINOR = 2
 
 SRCS = adder.cc \
        art.cc \
@@ -78,6 +78,7 @@
            runtime.h \
            templates.h \
            tinylock.h \
+           threads.h \
            tuple.h \
            visualizer.h \
            vfs.h \

=== src/libaudqt/Makefile ===
--- 
+++ 
@@ -1,12 +1,16 @@
 SHARED_LIB = ${LIB_PREFIX}audqt${LIB_SUFFIX}
 LIB_MAJOR = 2
-LIB_MINOR = 1
+LIB_MINOR = 2
 
 SRCS = about-qt.cc \
        art-qt.cc \
        audqt.cc \
+       colorbutton.cc \
+       eq-preset-qt.cc \
        equalizer-qt.cc \
+       file-entry.cc \
        fileopener.cc \
+       font-entry.cc \
        images.cc \
        infopopup-qt.cc \
        infowin-qt.cc \
@@ -23,13 +27,18 @@
        queue-manager-qt.cc \
        url-opener-qt.cc \
        util-qt.cc \
+       treeview.cc \
        volumebutton.cc
 
-INCLUDES = export.h \
+INCLUDES = colorbutton.h \
+           export.h \
            iface.h \
            info-widget.h \
            libaudqt.h \
-           menu.h
+           menu.h \
+           treeview.h
+
+CLEAN = images.cc
 
 include ../../buildsys.mk
 include ../../extra.mk
@@ -45,7 +54,9 @@
 
 CFLAGS += ${LIB_CFLAGS}
 
-LIBS := -L../libaudcore -laudcore \
+LIB_LDFLAGS := -L../libaudcore $(LIB_LDFLAGS)
+
+LIBS := -laudcore \
         ${LIBS} -lm \
         ${QT_LIBS}

=== src/libaudcore/tests/Makefile ===
all: test test-mainloop

SRCS = ../audio.cc \
       ../audstrings.cc \
       ../charset.cc \
       ../hook.cc \
       ../index.cc \
       ../logger.cc \
       ../mainloop.cc \
       ../multihash.cc \
       ../ringbuf.cc \
       ../stringbuf.cc \
       ../strpool.cc \
       ../tinylock.cc \
       ../tuple.cc \
       ../tuple-compiler.cc \
       ../util.cc \
       stubs.cc

FLAGS = -I.. -I../.. -DEXPORT= -DPACKAGE=\"audacious\" -DICONV_CONST= \
        $(shell pkg-config --cflags --libs glib-2.0) \
        -std=c++11 -Wall -g -O0 -fno-elide-constructors \
        -fprofile-arcs -ftest-coverage -pthread

test: ${SRCS} test.cc
	g++ ${SRCS} test.cc ${FLAGS} -o test

test-mainloop: ${SRCS} test-mainloop.cc
	g++ ${SRCS} test-mainloop.cc ${FLAGS} -DUSE_QT -fPIC \
	$(shell pkg-config --cflags --libs Qt5Core) \
	-o test-mainloop

cov: all
	rm -f *.gcda
	./test
	./test-mainloop
	./test-mainloop --qt
	gcov --object-directory . ${SRCS} ${MAINLOOP_SRCS}

clean:
	rm -f test test-mainloop *.gcno *.gcda *.gcov

=== debian/changelog ===
audacious (4.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 06 Jan 2021 16:07:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: audacious
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
- Mateusz Łukasik <mati75@linuxmint.pl>,
- Sebastian Ramacher <sramacher@debian.org>
+ Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
  debhelper-compat (= 12),
  imagemagick,
- libdbus-1-dev (>= 0.60),
- libdbus-glib-1-dev (>= 0.60),
+ libglib2.0-dev,
  libgtk2.0-dev,
- libguess-dev (>= 1.2~),
- librsvg2-bin
-Standards-Version: 4.1.0
+ librsvg2-bin,
+ qtbase5-dev
+Standards-Version: 4.5.0
 Homepage: http://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
 Vcs-Git: https://salsa.debian.org/multimedia-team/audacious.git
@@ -24,13 +21,12 @@
 Architecture: any
 Depends:
  audacious-plugins (>= ${source:Upstream-Version}),
- dbus,
  default-dbus-session-bus | dbus-session-bus | dbus-x11,
  gtk2-engines-pixbuf,
  libaudcore5 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
-# Recommends:
+ ${shlibs:Depends}
+Recommends:
  unzip
 Description: small and fast audio player which supports lots of formats
  Audacious is a fork of beep-media-player which supports Winamp skins
@@ -60,9 +56,10 @@
  libaudcore5 (= ${binary:Version}),
  libaudgui5 (= ${binary:Version}),
  libaudtag3 (= ${binary:Version}),
- libdbus-1-dev (>= 0.60),
- libdbus-glib-1-dev (>= 0.60),
+ libaudqt2 (= ${binary:Version}),
+ libglib2.0-dev,
  libgtk2.0-dev,
+ qtbase5-dev,
  ${misc:Depends}
 Description: audacious development files
  Audacious is a fork of beep-media-player which supports Winamp skins
@@ -170,3 +167,29 @@
  .
  This package provides the libaudtag shared library.
 
+Package: libaudqt2
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: audacious media player (libaudqt shared library)
+ Audacious is a fork of beep-media-player which supports Winamp skins
+ and many codecs.
+ .
+ In the default install, the following codecs are supported:
+ .
+  * MP3
+  * Ogg Vorbis / Theora
+  * AAC and AAC+
+  * FLAC
+  * ALAC
+  * Windows Media (WMA)
+  * WAVE
+ .
+ Additionally, Audacious is extendable through plugins, and contains
+ other useful features like LIRC support. Support for many more codecs
+ can also be added through plugins.
+ .
+ This package provides the libaudqt shared library.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \
-		--with-buildstamp="$(shell dpkg-vendor --query vendor) package" --enable-gtk --disable-qt
+		--with-buildstamp="$(shell dpkg-vendor --query vendor) package" --enable-gtk
 
 override_dh_auto_install:
 	dh_auto_install
@@ -34,6 +34,3 @@
 override_dh_auto_clean:
 	dh_auto_clean || true
 	rm -f src/libaudcore/audio.h
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
